Worker (The Data Transfer Agent Service 2.1.0-3.10.1 API)
Date: 2016-03-03

org.gcube.datatransfer.agent.impl.worker

## Class Worker<T extends TransferHandler>

- java.lang.Object
- - org.gcube.datatransfer.agent.impl.worker.Worker<T>

- All Implemented Interfaces:
    Serializable, Callable
  Direct Known Subclasses:
    ASyncWorker, SyncWorker

      public abstract class Worker<T extends TransferHandler>
      extends Object
      implements Callable, Serializable

  Author:
    Andrea Manzi(CERN)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.gcube.datatransfer.agent.stubs.datatransferagent.DestData` | `destParameters`
    `protected ArrayList<T>` | `list`
    `protected org.gcube.common.core.utils.logging.GCUBELog` | `logger`
    `protected org.gcube.datatransfer.agent.stubs.datatransferagent.SourceData` | `sourceParameters`
    `protected FutureTask<Worker>` | `task`
    `protected ThreadGroup` | `threadList`
    `protected String` | `transferId`
    `protected static org.apache.axis.components.uuid.UUIDGen` | `uuidgen` The UUIDGen

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Worker()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected AgentResource` | `getResource()`
    `FutureTask<Worker>` | `getTask()`
    `ThreadGroup` | `getThreadList()`
    `void` | `setTask(FutureTask<Worker> task)`
    `void` | `setThreadList(ThreadGroup threadList)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.concurrent.Callable

      `call`

- - ### Field Detail

    - #### list

          protected ArrayList<T extends TransferHandler> list

    - #### uuidgen

          protected static final org.apache.axis.components.uuid.UUIDGen uuidgen

      The UUIDGen

    - #### logger

          protected org.gcube.common.core.utils.logging.GCUBELog logger

    - #### sourceParameters

          protected org.gcube.datatransfer.agent.stubs.datatransferagent.SourceData sourceParameters

    - #### destParameters

          protected org.gcube.datatransfer.agent.stubs.datatransferagent.DestData destParameters

    - #### threadList

          protected ThreadGroup threadList

    - #### transferId

          protected String transferId

    - #### task

          protected FutureTask<Worker> task

  - ### Constructor Detail

    - #### Worker

          public Worker()

  - ### Method Detail

    - #### getResource

          protected AgentResource getResource()
                                       throws Exception

      Throws:
        `Exception`

    - #### getTask

          public FutureTask<Worker> getTask()

    - #### setTask

          public void setTask(FutureTask<Worker> task)

    - #### getThreadList

          public ThreadGroup getThreadList()

    - #### setThreadList

          public void setThreadList(ThreadGroup threadList)

Copyright © 2016. All Rights Reserved.